Create subscription

POST
/api/v2/subscriptions

Creates a new subscription (destination). Returns the created subscription.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Request Body

application/json

The destination data.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "triggerType": "string",    "type": "string",    "email": {}  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "triggerType": "string",    "type": "string",    "reports": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "description": "string",        "formats": [          "string"        ],        "zipEmailFiles": true,        "emailAttachment": true,        "emailEmbedment": true,        "filter": {          "selections": [            {              "fieldName": "string",              "selectedCount": 0,              "selectedValues": [                "string"              ],              "isNumeric": true            }          ],          "selectionsPreview": "string",          "bookmarkId": "string",          "bookmarkName": "string",          "appId": "string",          "serverAddress": "string"        }      }    ],    "qlikEntity": {      "id": "string",      "appId": "string",      "serverAddress": "string",      "type": "string",      "format": "string",      "width": 0.1,      "height": 0.1    },    "format": "string",    "schedule": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "isActive": true,      "frequency": "string",      "execution": "string",      "priority": 0,      "timeZone": "string",      "day": 0,      "month": 0,      "atHour": 0,      "atMinut": 0,      "everyHours": 0,      "fromHour": 0,      "fromMinut": 0,      "toHour": 0,      "toMinut": 0,      "weeklyDays": "string",      "nextExecutionDate": "2019-08-24T14:15:22Z",      "timeZoneOfset": "string",      "startDate": "2019-08-24T14:15:22Z",      "endDate": "2019-08-24T14:15:22Z",      "createdDate": "2019-08-24T14:15:22Z",      "modifiedDate": "2019-08-24T14:15:22Z"    },    "externalEvent": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "appId": "string",      "isActive": true,      "execution": "string",      "priority": 0,      "startDate": "2019-08-24T14:15:22Z",      "endDate": "2019-08-24T14:15:22Z",      "createdDate": "2019-08-24T14:15:22Z",      "modifiedDate": "2019-08-24T14:15:22Z"    },    "recipients": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "fullName": "string",        "email": "string",        "type": "string"      }    ],    "subscribeTo": "string",    "filter": {      "selections": [        {          "fieldName": "string",          "selectedCount": 0,          "selectedValues": [            "string"          ],          "isNumeric": true        }      ],      "selectionsPreview": "string",      "bookmarkId": "string",      "bookmarkName": "string",      "appId": "string",      "serverAddress": "string"    },    "availableFormats": [      "string"    ],    "email": {      "bc": "string",      "bcc": "string",      "ccQlikVariableId": "009367f7-7731-4b42-80ba-c925ab8a19ec",      "bccQlikVariableId": "5b8685b6-bf7c-447b-9ff3-8f7f5a2e0bf8",      "subject": "string",      "message": "string"    },    "failed": true,    "status": "string",    "nextExecution": "2019-08-24T14:15:22Z",    "timeZoneOfset": "string",    "isActive": true,    "lastExecutionDate": "2019-08-24T14:15:22Z",    "nextExecutionDate": "2019-08-24T14:15:22Z"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}